<template>
  <gree-popup class="UDfanport-popup" position="bottom" get-container="body" v-model="isShow" safe-area-inset-bottom @hide="onHide">
    <gree-radio-list :value="UDFanPort" :options="radioLists" @change="onClick"> </gree-radio-list>
  </gree-popup>
</template>

<script>
import { popup, RadioList } from 'gree-ui';
import { types } from '@/store/types';
import { mapState, mapMutations, mapGetters, mapActions } from 'vuex';

export default {
  name: 'UDFanPortPoPup',
  components: {
    [popup.name]: popup,
    [RadioList.name]: RadioList
  },
  data() {
    return {
      isShow: false
    };
  },
  computed: {
    ...mapState('control', {
      UDFanPortPoPup: state => state.popup.UDFanPortPoPup,
      UDFanPort: state => state.dataObject.UDFanPort,
      Pow: state => state.dataObject.Pow
    }),
    ...mapGetters(['swingDefine']),
    ...mapGetters('machine', ['statusMap']),
    isCommonUDfan() {
      const result = [];
      this.swingDefine.forEach(i => {
        result.push(i.identifier);
      });
      return true;
    },
    radioLists() {
      return [
        {
          value: 0,
          text: '自动',
          brief: '根据环境自动开、关下出风口'
        },
        {
          value: 2,
          text: '常开',
          brief: ''
        },
        {
          value: 1,
          text: '关闭',
          brief: ''
        }
      ];
    }
  },
  watch: {
    UDFanPortPoPup(val) {
      this.isShow = val;
    },
    Pow(val) {
      if (!val) {
        this.isShow = false;
      }
    }
  },
  methods: {
    ...mapMutations('control', {
      SetPopup: 'SET_POPUP',
      setDataObject: 'SET_DATA_OBJECT'
    }),
    ...mapActions({
      sendData: types.SEND_DATA,
      sendCtrl: types.SEND_CTRL,
      stateMatchineInterFace: 'STATE_MACHINE_INTERFACE'
    }),
    onClick(option) {
      this.sendData({
        UDFanPort: option.value,
        StHt: 0
      });
      if (this.UDFanPort === 1 && !this.isCommonUDfan) {
        this.sendData({
          SwingLfRig: 0
        });
      }
    },
    onHide() {
      this.SetPopup({ UDFanPortPoPup: false });
    }
  }
};
</script>

<style lang="scss">
.UDfanport-popup {
  width: 100%;
  color: #404657;
  .gree-radio-list {
    .gree-radio-icon {
      .gree-icon.icon-font.checked {
        color: #71acf1;
      }
    }
  }
}
</style>
